program ARCREGD4;

uses
  SysUtils,
  Registry;

{ $R *.RES}
// Aplicacin que registra automticamente un paquete en Delphi3
var
  p, s, d: string;
  Reg: TRegistry;
begin
  if ParamCount <> 2 then
  begin
    WriteLn(
      'ARCREGD4 for Delphi 4 Version 1.0'#13#10 +
      'Copyrigth 02-21-1999 by Edison Mera'#13#10 +
      #13#10 +
      'Usage:'#13#10 +
      '  ARCREGD4 PackageName PackageDesc');
  end
  else
  begin
    Reg := TRegistry.Create;
    try
      p := ExtractFilePath(ParamStr(0));
      d := ExtractFileDir(ParamStr(0));
      Reg.OpenKey('\Software\Borland\Delphi\4.0\Known Packages', true);
      Reg.WriteString(p + ExtractFileName(ParamStr(1)), ParamStr(2));
      Reg.CloseKey;
      Reg.OpenKey('\Software\Borland\Delphi\4.0\library', false);
      s := Reg.ReadString('Search Path');
      if Pos(d, s) = 0 then
      begin
        s :=s + ';' + d;
        Reg.WriteString('Search Path', s);
      end;
    finally
      Reg.Free;
    end;
  end;
end.
